unit UnitEditorPluginForm;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  TntForms,
  Dialogs,
  UnitInPlaceWndInf,
  UnitBasePlugInForm,
  StdCtrls,
  ImgList,
  ShlObj,
  Menus,
  TB2Item,
  SpTBXItem,
  TB2Dock,
  TB2Toolbar;

type
  TUltraEditorPlugin = class(TBasePluginForm)
    Memo1: TMemo;
    ImageList: TImageList;
    SpTBXDock1: TSpTBXDock;
    SpTBXToolbar2: TSpTBXToolbar;
    SpTBXItem8: TSpTBXItem;
    SpTBXItem7: TSpTBXItem;
    SpTBXItem6: TSpTBXItem;
    SpTBXItem5: TSpTBXItem;
    SpTBXItem4: TSpTBXItem;
    SpTBXItem3: TSpTBXItem;
    SpTBXToolbar1: TSpTBXToolbar;
    SpTBXSubmenuItem1: TSpTBXSubmenuItem;
    SpTBXItem2: TSpTBXItem;
    SpTBXItem1: TSpTBXItem;
    SpTBXSubmenuItem2: TSpTBXSubmenuItem;
    SpTBXItem11: TSpTBXItem;
    SpTBXItem10: TSpTBXItem;
    SpTBXItem9: TSpTBXItem;
    procedure TntFormClose(Sender: TObject; var Action: TCloseAction);
    procedure Memo1Enter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }

    function TabImage(var AnImageList: TCustomImageList; var AnImageIndex: Integer): Boolean; override;

  end;

implementation

{$R *.dfm}

function TUltraEditorPlugin.TabImage(var AnImageList: TCustomImageList;
  var AnImageIndex: Integer): boolean;
begin
  Result := True;
  AnImageList := ImageList;
  AnImageIndex := 0;
end;

procedure TUltraEditorPlugin.TntFormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree
end;

procedure TUltraEditorPlugin.Memo1Enter(Sender: TObject);
begin
  if Assigned(Notifier) then
    Notifier.FocusChanged(Memo1);
end;

end.
