unit UnitOptionsListviewGeneral;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TntForms, DKLang, StdCtrls, TntStdCtrls, SpTBXEditors,
  SpTBXControls, SpTBXDkPanels, SpTBXItem;

type
  TTntFormOptionsListviewGeneral = class(TTntForm)
    SpTBXGroupBoxColorFont: TSpTBXGroupBox;
    SpTBXButtonListviewFont: TSpTBXButton;
    SpTBXButtonListviewBkGndColor: TSpTBXButton;
    SpTBXEditListviewSample: TSpTBXEdit;
    SpTBXGroupBoxListviewGeneral: TSpTBXGroupBox;
    SpTBXCheckBoxQueryInfoHints: TSpTBXCheckBox;
    SpTBXCheckBoxPerFolderSave: TSpTBXCheckBox;
    SpTBXLabelView: TSpTBXLabel;
    SpTBXComboBoxView: TSpTBXComboBox;
    SpTBXCheckBoxCopyPrevFolder: TSpTBXCheckBox;
    SpTBXCheckBoxSelectFirst: TSpTBXCheckBox;
    SpTBXCheckBoxShowTitleBar: TSpTBXCheckBox;
    DKLanguageController1: TDKLanguageController;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TntFormOptionsListviewGeneral: TTntFormOptionsListviewGeneral;

implementation

{$R *.DFM}

end.
