unit UnitTabSetFrame;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TntForms, SpTBXItem, TB2Item, SpTBXTabs, ActnList, TntActnList,
  ImgList;

type
  TTntFrameTabs = class(TTntFrame)
    ImageListActions: TImageList;
    ActionListGlobal: TTntActionList;
    ActionFolderSizeCalculateSelected: TTntAction;
    ActionFolderSizeCalculateAllCurrent: TTntAction;
    ActionFilterEnable: TTntAction;
    ActionListviewCopy: TTntAction;
    ActionFolderSizeCalculateAllAlways: TTntAction;
    ActionFilterMode: TTntAction;
    ActionListviewCut: TTntAction;
    ActionFolders: TTntAction;
    ActionFavorites: TTntAction;
    ActionListviewDelete: TTntAction;
    ActionHistory: TTntAction;
    ActionViewIcon: TTntAction;
    ActionTaskWindow: TTntAction;
    ActionViewSmallIcon: TTntAction;
    ActionViewList: TTntAction;
    ActionViewDetails: TTntAction;
    ActionViewThumbnail: TTntAction;
    ActionViewFilmStrip: TTntAction;
    ActionViewTile: TTntAction;
    ActionListviewPaste: TTntAction;
    ActionListviewSelectAll: TTntAction;
    ActionListviewProperties: TTntAction;
    ActionListviewCopyPath: TTntAction;
    ActionListviewPasteShortcut: TTntAction;
    ActionListviewCopyPathDOS: TTntAction;
    ActionFilterNew: TTntAction;
    ActionFilterDelete: TTntAction;
    ActionFilterEdit: TTntAction;
    ActionFilter: TTntAction;
    ActionCmdLine: TTntAction;
    ActionFixedListView: TTntAction;
    ActionListviewInvert: TTntAction;
    ActionToolsShowOptions: TTntAction;
    ActionListviewUpOneFolder: TTntAction;
    ActionToolsCustomize: TTntAction;
    ActionHistoryBack: TTntAction;
    ActionHistoryForward: TTntAction;
    ActionCopyPathAddressbar: TTntAction;
    ActionCopyPathAddressbarDOS: TTntAction;
    ActionFilterNewFromFiles: TTntAction;
    ActionHistoryClear: TTntAction;
    ActionListviewRefresh: TTntAction;
    ActionViewShowGroups: TTntAction;
    ActionViewArrangeName: TTntAction;
    ActionViewArrangeSize: TTntAction;
    ActionViewArrangeType: TTntAction;
    ActionViewArrangeModified: TTntAction;
    ActionFavoritesAdd: TTntAction;
    ActionFavoritesNewCategory: TTntAction;
    ActionFavoritesRemove: TTntAction;
    ActionFavoritesEdit: TTntAction;
    ActionToolbarFavorites: TTntAction;
    ActionToolbarFilter: TTntAction;
    ActionToolbarHistory: TTntAction;
    ActionToolbarDropStack: TTntAction;
    ActionToolbarCmdLine: TTntAction;
    ActionToolbarListviewEdit: TTntAction;
    ActionToolbarListviewAction: TTntAction;
    ActionToolbarDrives: TTntAction;
    ActionDropStackClear: TTntAction;
    ActionToolbarBreadCrumbListview: TTntAction;
    ActionToolbarAddressBar: TTntAction;
    ActionToolbarNavigation: TTntAction;
    ActionMainMenuAbout: TTntAction;
    ActionTabNew: TTntAction;
    ActionTabClose: TTntAction;
    ActionTabCloseAllExcept: TTntAction;
    ActionTabRefresh: TTntAction;
    ActionTabFavorites: TTntAction;
    ActionTabFavoritesAll: TTntAction;
    ActionMainMenuFileNewWindow: TTntAction;
    ActionMainMenuHelpContents: TTntAction;
    ActionViewColumnMode: TTntAction;
    ActionTabBrowseToNew: TTntAction;
    ActionTab1Select: TTntAction;
    ActionTab2Select: TTntAction;
    ActionTab3Select: TTntAction;
    ActionTab4Select: TTntAction;
    ActionTab5Select: TTntAction;
    ActionTab6Select: TTntAction;
    ActionTab7Select: TTntAction;
    ActionTab8Select: TTntAction;
    ActionTab9Select: TTntAction;
    ActionTabNext: TTntAction;
    ActionTabPrev: TTntAction;
    ActionToolsUnmapNetworkDrive: TTntAction;
    ActionToolsMapNetworkDrive: TTntAction;
    ActionKnownBugs: TTntAction;
    ActionTabScrollLeft: TTntAction;
    ActionTabScrollRight: TTntAction;
    ActionViewer: TTntAction;
    ActionViewerText: TTntAction;
    ActionViewerBinary: TTntAction;
    ActionViewerHex: TTntAction;
    ActionViewerMultimedia: TTntAction;
    ActionViewerInternet: TTntAction;
    ActionViewerUnicode: TTntAction;
    ActionViewerPlugin: TTntAction;
    ActionViewerUTF8: TTntAction;
    ActionViewerAutoDetect: TTntAction;
    ActionToolbarViewer: TTntAction;
    ActionViewerOEMFont: TTntAction;
    ActionViewerANSIFont: TTntAction;
    ActionViewerWordWrap: TTntAction;
    ActionViewerFitImage: TTntAction;
    ActionViewerOfflineBrowsing: TTntAction;
    ActionViewerConfigure: TTntAction;
    ActionViewerConfigurePlugins: TTntAction;
    ActionFTP: TTntAction;
    ActionMainMenuExit: TTntAction;
    ActionTreeviewCopy: TTntAction;
    ActionTreeviewCut: TTntAction;
    ActionTreeviewPaste: TTntAction;
    ActionTreeviewDelete: TTntAction;
    ActionTreeviewProperties: TTntAction;
    ActionToolbarFoldersEdit: TTntAction;
    ActionListviewSyncCommandLine: TTntAction;
    ActionViewCollapseGroups: TTntAction;
    ActionViewExpandGroups: TTntAction;
    ActionViewGroupingNextArrange: TTntAction;
    ActionViewArrangeIcons: TTntAction;
    ActionViewEditGroupingCriteria: TTntAction;
    ActionMainMenuCheckForUpdate: TTntAction;
    ActionToolbarFavoriteCrumb: TTntAction;
    ActionDropStack: TTntAction;
    ActionToolbarFileTypes: TTntAction;
    ActionLauncherShow: TTntAction;
    ActionToolbarLauncher: TTntAction;
    ActionWhatsNew: TTntAction;
    ActionActivateAddressbar: TTntAction;
    ActionQuickFilterClear: TTntAction;
    ActionQuickFilterApply: TTntAction;
    ActionTreeviewCollapseAll: TTntAction;
    ActionListviewCopyFilenames: TTntAction;
    ActionListviewCopyFilenamesDOS: TTntAction;
    ActionCreateNewFolder: TTntAction;
    ActionTabOptions: TTntAction;
    ActionToolbarQuickFilter: TTntAction;
    ActionToolbarMainMenu: TTntAction;
    ActionToolbarLock: TTntAction;
    ActionFavoritesSortByName: TTntAction;
    ActionThumbnailsStretch: TTntAction;
    ActionShellHandlerslContextMenuHandlers: TTntAction;
    ActionDualPaneCopyLeft: TTntAction;
    ActionDualPaneCopyRight: TTntAction;
    ActionDualPaneMoveLeft: TTntAction;
    ActionDualPaneMoveRight: TTntAction;
    ActionDualPaneCompare: TTntAction;
    ActionDualPaneLink: TTntAction;
    ActionViewDualPane: TTntAction;
    ActionListviewToggleActiveFocus: TTntAction;
    ActionToolsSearch: TTntAction;
    ActionToolsTextEdiitor: TTntAction;
    ActionBreadcrumbOpen: TTntAction;
    ActionFavoritesEnterEditMode: TTntAction;
    ActionChangeAutoRefresh: TTntAction;
    ActionSelectAllFolders: TTntAction;
    ActionSelectAllFiles: TTntAction;
    ActionSelectGroups: TTntAction;
    ActionSelectUnSelectGroups: TTntAction;
    ActionSelectMatchText: TTntAction;
    ActionSelectUnSelectFolders: TTntAction;
    ActionSelectUnSelectFiles: TTntAction;
    ActionSelectUnSelectText: TTntAction;
    ActionSelectCombine: TTntAction;
    ActionFolderFlatten: TTntAction;
    ActionShellHandlersWinEHook: TTntAction;
    ActionFillterSortByName: TTntAction;
    SpTBXTabSetListview: TSpTBXTabSet;
    SpTBXRightAlignSpacerItem1: TSpTBXRightAlignSpacerItem;
    SpTBXSeparatorItem14: TSpTBXSeparatorItem;
    SpTBXItemListviewTabScrollRight: TSpTBXItem;
    SpTBXItemListviewTabScrollLeft: TSpTBXItem;
    SpTBXSeparatorItem27: TSpTBXSeparatorItem;
    SpTBXItemListviewTabCloseActive: TSpTBXItem;
    SpTBXSubmenuItemTabsOpen: TSpTBXSubmenuItem;
    SpTBXSubmenuItemContextMenu: TSpTBXSubmenuItem;
    SpTBXSubmenuItemFolderSizeTabbar: TSpTBXSubmenuItem;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TntFrameTabs: TTntFrameTabs;

implementation

{$R *.DFM}

end.